import request from '@/utils/request'

// 查询白条生产记录列表
export function listPorkSideProduce(query) {
  return request({
    url: '/app/porkSideProduce/list',
    method: 'get',
    params: query
  })
}

// 查询白条生产记录详细
export function getPorkSideProduce(id) {
  return request({
    url: '/app/porkSideProduce/' + id,
    method: 'get'
  })
}

// 新增白条生产记录
export function addPorkSideProduce(data) {
  return request({
    url: '/app/porkSideProduce',
    method: 'post',
    data: data
  })
}

// 修改白条生产记录
export function updatePorkSideProduce(data) {
  return request({
    url: '/app/porkSideProduce',
    method: 'put',
    data: data
  })
}

// 删除白条生产记录
export function delPorkSideProduce(id) {
  return request({
    url: '/app/porkSideProduce/' + id,
    method: 'delete'
  })
}
